Crashes QGIS or corrupls data: Copied to github as #: 26655
Description

I've just spotted an interesting issue with the TIN interpolation code.

With the TIN interpolation "linear" method, the rendering is fine (tin-linear.png), but with the "cubic" method, the code inserts 0 values
instead of nodata until it hits the first non-nodata value (see the black part at the top of tin-cubic.png).

Marco, you are our only hope ;) I've looked into the code, but couldn't get my way through it.

History

#1 - 2018-04-19 12:43 PM - Mathieu Pellerin - nIRV
- File test-data.zip added

Here's a simple test dataset. To replicate the above screenshot, use the "temp" field against a TIN interpolation alg using the cubic method.

#2 - 2018-05-11 04:16 PM - Marco Hugentobler

Hi Mathieu

Oh, that code is still in use? Most parts of the interpolation code are older than the QGIS project and not maintained anymore. | think you should replace it

with a newer library for TIN/IDW interpolation.

#3 - 2019-03-09 04:35 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
